Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class MuNumber

    java.lang.Object
      java.lang.Number
          org.jboss.util.MuNumber

All Implemented Interfaces:
  Cloneable, Comparable, Mutable, Serializable

Direct Known Subclasses:
  MuByte, MuDouble, MuFloat, MuInteger, MuLong, MuShort

public abstract class MuNumber
extends Number
implements Comparable, Cloneable, Mutable

An abstract mutable number class.

This is a base wrapper class for `java.lang.Number`.

Version:
  `$Revision: 1.1 $`
Author:
  Jason Dillon
See Also:
  Serialized Form

Constructor Summary
`MuNumber()`

Method Summary
`byte` | `byteValue()` Returns the value of the specified number as a `byte`.
`float` | `floatValue()` Returns the value of the specified number as a `float`.
`int` | `intValue()` Returns the value of the specified number as a `int`.
`short` | `shortValue()` Returns the value of the specified number as a `short`.

Methods inherited from class java.lang.Number
`doubleValue, longValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.jboss.util.Mutable
`getValue, setValue`

Constructor Detail

### MuNumber

    public MuNumber()

Method Detail

### byteValue

    public byte byteValue()

  Returns the value of the specified number as a `byte`. This may involve rounding or truncation.

  Returns:
    The numeric value represented by this object after conversion to type `byte`.

### shortValue

    public short shortValue()

  Returns the value of the specified number as a `short`. This may involve rounding or truncation.

  Returns:
    The numeric value represented by this object after conversion to type `short`.

### intValue

    public int intValue()

  Returns the value of the specified number as a `int`. This may involve rounding or truncation.

  Returns:
    The numeric value represented by this object after conversion to type `int`.

### floatValue

    public float floatValue()

  Returns the value of the specified number as a `float`. This may involve rounding or truncation.

  Returns:
    The numeric value represented by this object after conversion to type `float`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.